<template>
    <nav>
        <v-toolbar app color="primary">
            <v-toolbar-side-icon class="white--text" @click="drawer = !drawer"></v-toolbar-side-icon>
            <v-toolbar-title class="text-uppercase white--text">
                <v-avatar size="50">
                    <img src="https://cdn3.iconfinder.com/data/icons/video-icons-1/128/cinema-2-512.png"/>
                </v-avatar> |
                <span class="font-weight-light"> Bunny</span>
                <span>ticket</span>
            </v-toolbar-title>
            <v-spacer></v-spacer>
            <!-- <v-btn flat color="white" v-for="link in signin" :key="link.text" router :to="link.route">
                <span class="text-uppercase white--text">{{ link.text }}</span>
            </v-btn> -->
            <!-- <v-btn to="/login" flat>{{Signin}}</v-btn> -->
            <v-btn @click="logout" flat color="white" v-bind:disabled="btnDisable">{{signout}}</v-btn>
            <!-- <span class="text-uppercase white--text">{{ displayusername }}</span> -->
             
        </v-toolbar>
        <v-navigation-drawer app v-model="drawer" class="warning">

            <v-list >
                <v-layout column align-center>
                    <v-flex class="mt-3" v-for="avatar in avatars" :key="avatar">
                        <v-avatar size="120">
                            <img :src="avatar.pic">
                        </v-avatar>
                        <p class="white--text subheading text-uppercase text-xs-center mt-3">{{ displayusername }}</p>
                    </v-flex>
                </v-layout>
                <v-list-tile class="pa-1" v-for="link in links" :key="link.text" router :to="link.route">
                    <v-list-tile-action>
                        <v-icon class="white--text">{{ link.icon }}</v-icon>
                    </v-list-tile-action>
                    <v-list-tile-content>
                        <v-list-tile-title class="white--text">{{ link.text }}</v-list-tile-title>
                    </v-list-tile-content>
                </v-list-tile>
            </v-list>
        </v-navigation-drawer>
    </nav>
</template>

<script>
import { METHODS } from 'http';
export default {
    data() {
        return {
            drawer: false,
            links: [
                { icon: 'theaters', text: 'Movies', route: '/' },
                // { icon: 'history', text: 'Booking history', route: '/Booking' },
                { icon: 'chat', text: 'Live chat', route: '/about' },
               
            ],

            signout: "",
            btnDisable: false,
            displayusername : "",
            avatars: "" 
        }  
    },
    created(){
        if(!localStorage.getItem('token')){
            this.$router.push({path: '/login'})
            const links = [
                { icon: 'theaters', text: 'Movies', route: '#' },
                { icon: 'chat', text: 'Live chat', route: '#' },
              
            ]
            this.links = links
            this.btnDisable = true


        } else if(localStorage.getItem('token')){
             this.displayusername = localStorage.getItem('username')
             this.signout = "Sign out"
             this.avatars = [
                { pic: "img/bugbunny.jpg", }
            ]
             
        } else {
            this.getUser()      
        }     
    },  

    methods: {
        logout() {
            this.axios.post('http://192.168.253.50:4000/logout', {}, {
                headers: {
                    token: localStorage.getItem('token')
                }
            })
            .then(res => {
                console.log(res);
                localStorage.removeItem('token')
                window.location.replace('/login')
            });
        },
        async getUser(){
            try {
                console.log(localStorage.getItem('token'))
                await this.axios.post('http://192.168.253.50:4000/user', {},{
                    headers: {
                        token:localStorage.getItem('token')
                    }
                })
                .then(result => {
                    this.username = result.data.username
                    this.user = result.data
                    console.log(result)
                }).catch(error => {
                    console.log(error)
                })
            }
            catch(error) {
                console.log(error.message)
            }
        }
    },
    // btnStatus(){
    //   if (!localStorage.getItem('token')) {
    //      this.btnDisable = true;
    //   }
    // }
}
</script>




     
